Bug 1559551 - Regression Instance Method check_quota Throws Error 5.8.2 to 5.8.3 undefined method provisioned_storage
Summary: Regression Instance Method check_quota Throws Error 5.8.2 to 5.8.3 undefined ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Tina Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1554989
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 18:39 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
8 users (show)

(edit)
Clone Of: 1554989
(edit)
Last Closed: 2018-06-25 14:18:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 2 CFME Bot 2018-04-09 18:36:56 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/9cac95b3f51cd6d9800d28da93d9c2f8fc011bb8
commit 9cac95b3f51cd6d9800d28da93d9c2f8fc011bb8
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Mar 20 16:06:23 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Mar 20 16:06:23 2018 -0400

    Merge pull request #17158 from tinaafitz/fix_quota_invalid_template

    Fix active_provision quota check for infra VM request with invalid vm_template.
    (cherry picked from commit 9002fc741b6b5dda17885dccb135f370516213b8)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1559551

 app/models/mixins/miq_provision_quota_mixin.rb | 4 +
 spec/models/miq_provision_request_spec.rb | 6 +
 2 files changed, 10 insertions(+)

Comment 3 Dmitry Misharov 2018-04-20 07:05:33 UTC
Verified on 5.8.4.1.20180413183721_10e9d3b.vmware_best_fit_with_scope method works fine.

Comment 5 errata-xmlrpc 2018-06-25 14:18:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.